scim_property.h File Reference

## Classes

class | scim::Property
| Class to hold a property of a IMEngineInstance object or a Panel GUI client. More...

## Namespaces

namespace | scim

## Macros

#define | SCIM_PROPERTY_ACTIVE 0x01
#define | SCIM_PROPERTY_VISIBLE 0x02

## Typedefs

typedef std::vector< Property > | scim::PropertyList
| The container to store a set of Properties.

## Functions

bool | scim::operator< (const Property &lhs, const Property &rhs)
bool | scim::operator< (const Property &lhs, const String &rhs)
bool | scim::operator< (const String &lhs, const Property &rhs)
bool | scim::operator== (const Property &lhs, const Property &rhs)
bool | scim::operator== (const Property &lhs, const String &rhs)
bool | scim::operator== (const String &lhs, const Property &rhs)
bool | scim::operator!= (const Property &lhs, const Property &rhs)
bool | scim::operator!= (const Property &lhs, const String &rhs)
bool | scim::operator!= (const String &lhs, const Property &rhs)

## Macro Definition Documentation

## SCIM_PROPERTY_ACTIVE

#define SCIM_PROPERTY_ACTIVE 0x01

Referenced by scim::Property::active(), scim::Property::Property(), and scim::Property::set_active().

## SCIM_PROPERTY_VISIBLE

#define SCIM_PROPERTY_VISIBLE 0x02

Referenced by scim::Property::Property(), scim::Property::show(), and scim::Property::visible().